Skip to content
POST/{organizationId}/{mandateId}/finance/receipts/reminderLevelSchedule

Get reminder level schedule

Returns enabled reminder levels and their due dates for an example due date

Required permissions:

  • mandate.read

  • receipt.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

dueDatestring | nullrequired
reminderDueDateOverridestring | nullrequired
reminderTypestringrequired

Options:

remindersdonationReminders

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/receipts/reminderLevelSchedule
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/receipts/reminderLevelSchedule' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "dueDate": "string",
  "reminderDueDateOverride": "string",
  "reminderType": "reminders",
  "reminders": {
    "automaticRemindersEnabledAt": "string",
    "level1": {
      "enabled": true,
      "daysOverdue": 1,
      "fee": 0,
      "messages": {
        "general": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        },
        "invoice": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        },
        "invoiceMembershipFee": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        },
        "invoiceBooking": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        }
      }
    },
    "level2": {
      "enabled": true,
      "daysOverdue": 1,
      "fee": 0,
      "messages": {
        "general": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        },
        "invoice": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        },
        "invoiceMembershipFee": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        },
        "invoiceBooking": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        }
      }
    },
    "level3": {
      "enabled": true,
      "daysOverdue": 1,
      "fee": 0,
      "messages": {
        "general": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        },
        "invoice": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        },
        "invoiceMembershipFee": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        },
        "invoiceBooking": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        }
      }
    },
    "level4": {
      "enabled": true,
      "daysOverdue": 1,
      "fee": 0,
      "messages": {
        "general": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        },
        "invoice": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        },
        "invoiceMembershipFee": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        },
        "invoiceBooking": {
          "title": "string",
          "intro": "string",
          "note": "string",
          "subject": "string",
          "message": "string"
        }
      }
    },
    "donationReminders": {
      "automaticRemindersEnabledAt": "string",
      "level1": {
        "enabled": true,
        "daysOverdue": 1,
        "fee": 0,
        "messages": {
          "general": {
            "title": "string",
            "intro": "string",
            "note": "string",
            "subject": "string",
            "message": "string"
          }
        }
      },
      "level2": {
        "enabled": true,
        "daysOverdue": 1,
        "fee": 0,
        "messages": {
          "general": {
            "title": "string",
            "intro": "string",
            "note": "string",
            "subject": "string",
            "message": "string"
          }
        }
      },
      "level3": {
        "enabled": true,
        "daysOverdue": 1,
        "fee": 0,
        "messages": {
          "general": {
            "title": "string",
            "intro": "string",
            "note": "string",
            "subject": "string",
            "message": "string"
          }
        }
      },
      "level4": {
        "enabled": true,
        "daysOverdue": 1,
        "fee": 0,
        "messages": {
          "general": {
            "title": "string",
            "intro": "string",
            "note": "string",
            "subject": "string",
            "message": "string"
          }
        }
      }
    }
  }
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

levelstringrequired

Options:

level1level2level3level4
dueDatestringrequired

Response

200
[
  {
    "level": "level1",
    "dueDate": "string"
  }
]

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}